## p10cfgd 1.0-3

=== Makefile ===
#	$Header: /usr/src/local/rmtcfgd/RCS/Makefile,v 1.4 1993/08/07 18:42:23 conner Exp $
#*
#* Copyright (c) 1993 by Colorado Digital Eclectics (CODE)
#* All rights reserved.
#*

install:	rmtcfgd
	cp rmtcfgd /usr/local/bin
	chmod 755 /usr/local/bin/rmtcfgd
	nroff -man rmtcfgd > /usr/local/man/cat1/rmtcfgd.0

## p10cfgd 1.0-5

=== debian/changelog ===
p10cfgd (1.0-5) unstable; urgency=low

  * Move executable to /usr/sbin, make it executable.  Closes bug 8281.
  * Include some 'expect' scripts in examples directory showing how to extract
    stats from a Packeten.

 -- Bdale Garbee <bdale@gag.com>  Sun, 27 Apr 1997 23:47:13 -0600

p10cfgd (1.0-4) unstable; urgency=low

  * New package format.
  * Cosmetic changes to debian control files.

 -- Bdale Garbee <bdale@gag.com>  Wed, 30 Oct 1996 10:36:17 -0800

Mon Apr 22 23:04:22 MDT 1996    Bdale Garbee    <bdale@gag.com>

        * fixed architecture to be 'all' and not 'i386', since we're Perl

Tue Apr 16 22:40:11 MDT 1996    Bdale Garbee    <bdale@gag.com>

        * fixed extended description syntax in debian.control

Mon Oct 30 02:40:54 MST 1995    Bdale Garbee    <bdale@gag.com>

        * Initial version for Debian.

Local variables:
mode: debian-changelog
End:

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian.rules file - for GNU Hello (1.3).
# Copyright 1994,1995 by Ian Jackson.
# I hereby give you perpetual unlimited permission to copy,
# modify and relicense this file, provided that you do not remove
# my name from the file itself.  (I assert my moral right of
# paternity under the Copyright, Designs and Patents Act 1988.)
# This file may have to be extensively modified

# There used to be `source' and `diff' targets in this file, and many
# packages also had `changes' and `dist' targets.  These functions
# have been taken over by dpkg-source, dpkg-genchanges and
# dpkg-buildpackage in a package-independent way, and so these targets
# are obsolete.

package=p10cfgd

build:
	$(checkdir)
	touch build

clean:
	$(checkdir)
	-rm -f build
	-rm -rf *~ debian/tmp debian/*~ debian/files*

binary-indep:	checkroot build
	$(checkdir)

binary-arch:	checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d	debian/tmp/usr/sbin \
			debian/tmp/usr/man/man1 \
			debian/tmp/usr/doc/p10cfgd \
			debian/tmp/etc/p10cfgd
	install -g root -m 755 -o root p10cfgd debian/tmp/usr/sbin/p10cfgd
	install -g root -m 644 -o root p10cfgd \
		debian/tmp/usr/man/man1/p10cfgd.1
	cp -r examples debian/tmp/usr/doc/p10cfgd
	debstd CHANGES INSTALL README* TODO
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R g-ws debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
endef

# Below here is fairly generic really

binary:		binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## p10cfgd 1.0-6

=== debian/changelog ===
p10cfgd (1.0-6) unstable; urgency=low

  * address lintian errors
  * move from debstd to debhelper

 -- Bdale Garbee <bdale@gag.com>  Tue, 10 Feb 1998 00:37:22 -0700

=== debian/control ===
Source: p10cfgd
Section: hamradio
Priority: extra
Maintainer: Bdale Garbee <bdale@gag.com>
Standards-Version: 2.4.0.0

Package: p10cfgd
Architecture: all
Depends: netbase (>=1.23), perl
Description: Remote configuration daemon for Gracilis Packeten.
 The 'p10cfgd' daemon provides support for the 'rmtcfg' command in the 
 Gracilis Packeten amateur radio network packet switch.  With this daemon,
 and appropriate entries in the non-volatile configuration memory of a
 Packeten, it is possible to have the switch load commands and information
 at boot time.  Further, this daemon appends a command which sets the date
 and time in the clock on the Packeten.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	dh_clean

# Build architecture-independent files here.
binary-indep: build
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	install -g root -m 755 -o root p10cfgd debian/tmp/usr/sbin/p10cfgd
	install -g root -m 644 -o root p10cfgd \
		debian/tmp/usr/man/man1/p10cfgd.1
	dh_installdocs
	dh_installexamples examples/*
	dh_installmenu
#	dh_installinit
	dh_installcron
	dh_installmanpages
#	dh_undocumented
	dh_installchangelogs
	dh_strip
	dh_compress
	dh_fixperms
	dh_suidregister
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
#	dh_makeshlibs
	dh_du
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## p10cfgd 1.1

=== debian/changelog ===
p10cfgd (1.1-1) unstable; urgency=low

  * freshen debhelper compat level, closes: #965761

 -- Bdale Garbee <bdale@gag.com>  Sun, 03 Jan 2021 09:59:57 -0700

p10cfgd (1.0-16) unstable; urgency=low

  * actually change dep from perl5 to perl this time, closes: #808233

 -- Bdale Garbee <bdale@gag.com>  Wed, 30 Dec 2015 09:37:27 -0700

p10cfgd (1.0-15) unstable; urgency=low

  * change dep from perl5 to perl, closes: #808233

 -- Bdale Garbee <bdale@gag.com>  Thu, 17 Dec 2015 14:38:26 -0700

p10cfgd (1.0-14) unstable; urgency=low

  * add Vcs entries to the control file
  * move gbp.conf to .git

 -- Bdale Garbee <bdale@gag.com>  Fri, 29 Jun 2012 07:13:03 -0600

p10cfgd (1.0-13) unstable; urgency=low

  * add dependency on update-inetd, closes: #502832

 -- Bdale Garbee <bdale@gag.com>  Mon, 20 Oct 2008 20:34:10 +0200

p10cfgd (1.0-12) unstable; urgency=low

  * fresh build resolving policy issues, closes: #359548

 -- Bdale Garbee <bdale@gag.com>  Sat, 15 Apr 2006 00:44:08 -0600

p10cfgd (1.0-11) unstable; urgency=low

  * update to current standards, clear lintian report

 -- Bdale Garbee <bdale@gag.com>  Tue,  1 Jan 2002 10:39:47 -0700

p10cfgd (1.0-10) unstable; urgency=low

  * update to latest standards, add Build-Depends, move to FHS

 -- Bdale Garbee <bdale@gag.com>  Fri,  7 Jan 2000 20:32:57 -0700

p10cfgd (1.0-9) unstable; urgency=low

  * update control file to depend on perl5 instead of perl, per new perl policy

 -- Bdale Garbee <bdale@gag.com>  Sat, 17 Jul 1999 17:46:21 -0600

p10cfgd (1.0-7) unstable; urgency=low

  * fixing minor problem with .orig.tar.gz file
  * moving to cvs and updating a few details in the process

 -- Bdale Garbee <bdale@gag.com>  Sun, 20 Jun 1999 08:02:21 -0600

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,16 @@
 Source: p10cfgd
 Section: hamradio
-Priority: extra
+Priority: optional
 Maintainer: Bdale Garbee <bdale@gag.com>
-Standards-Version: 2.4.0.0
+Build-Depends: debhelper (>= 13)
+Standards-Version: 4.5.1
+Vcs-Git: git://git.gag.com/debian/p10cfgd
+Vcs-Browser: https://git.gag.com/?p=debian/p10cfgd
 
 Package: p10cfgd
 Architecture: all
-Depends: netbase (>=1.23), perl
-Description: Remote configuration daemon for Gracilis Packeten.
+Depends: netbase (>=1.23), perl, update-inetd, ${misc:Depends}
+Description: Remote configuration daemon for Gracilis Packeten
  The 'p10cfgd' daemon provides support for the 'rmtcfg' command in the 
  Gracilis Packeten amateur radio network packet switch.  With this daemon,
  and appropriate entries in the non-volatile configuration memory of a

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp:
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	dh_clean

binary-indep: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	install -g root -m 755 -o root p10cfgd debian/p10cfgd/usr/sbin/p10cfgd
	install -g root -m 644 -o root p10cfgd \
		debian/p10cfgd/usr/share/man/man1/p10cfgd.1
	install -o root -g root -m 0644 debian/p10cfgd.lintian \
		debian/p10cfgd/usr/share/lintian/overrides/p10cfgd
	dh_installdocs
	dh_installexamples examples/*
	dh_installmenu
	dh_installcron
	dh_installchangelogs
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb


binary-arch: build

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary
